Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
    Kartik Soneji
    @KartikSoneji
    Hi everyone!
    I wanted to know how to enable compression for Mroonga tables.
    The documentation lists the variables mroonga_libgroonga_support_{lz4,zlib,zstd}, but does not have any info about how to actually use compression.
    ふりだしにもどる
    @kenhys_twitter
    There are some test case for compression. It may help you.
    Kartik Soneji
    @KartikSoneji
    @kenhys_twitter Thanks, that is what I was looking for.
    Don't you think this should easier to find in the documentation? Maybe as a separate page for compression?
    簡煒航 (Jian Weihang)
    @tonytonyjan
    Hi everyone. I would really appreciate it if anyone can tell me whether should I put all index columns in a single table or one index column per table?
    Horimoto Yasuhiro
    @komainu8
    What kind of case assume? Could you give me more details?
    Is the detail of this question explained in groonga/groonga#1132 ?
    Kartik Soneji
    @KartikSoneji
    Hi,
    I noticed an issue with the Mroonga compression library tests.
    Groonga does not compress text if the length is less than 256 bytes.
    In lib/store.c
    #define COMPRESS_THRESHOLD_BYTE 256
      if (value_len < COMPRESS_THRESHOLD_BYTE) {
        return grn_ja_put_packed(ctx, ja, id, value, value_len, flags, cas);
      }
    But the test string is only 62 bytes long, so it doesn't trigger compression.
    LZ4 , Zlib, ZStd
    INSERT INTO entries (id, content) VALUES (1, "I found Mroonga that is a MySQL storage engine to use Groonga!");
    Horimoto Yasuhiro
    @komainu8
    @KartikSoneji Thank you for your report! I'll add tests that they use a text the length is more than 256byte.
    Kartik Soneji
    @KartikSoneji
    @komainu8
    No problem.
    Should I open a pull request?
    Horimoto Yasuhiro
    @komainu8
    Thank you for your suggestion!
    Would you please send a pull request if possible?
    Kartik Soneji
    @KartikSoneji
    @komainu8 I have open a pull request: #350
    Please let me know if I need to change anything.
    Kartik Soneji
    @KartikSoneji
    Also, the Redmine site (http://redmine.groonga.org/projects/mroonga) seems to be broken:
    image.png
    Horimoto Yasuhiro
    @komainu8

    @komainu8 I have open a pull request: #350

    Thank you for your PR! I added a comment.

    Also, the Redmine site (http://redmine.groonga.org/projects/mroonga) seems to be broken:

    Thnak you for your report!
    We will disable this site.
    Because that is already not being used.

    Kartik Soneji
    @KartikSoneji

    Also, the Redmine site (http://redmine.groonga.org/projects/mroonga) seems to be broken:

    Thnak you for your report!
    We will disable this site.
    Because that is already not being used.

    Can you please update the documentation as well:
    https://mroonga.org/docs/developer.html#how-we-are-developing
    https://mroonga.org/docs/developer.html#roadmap
    https://mroonga.org/ja/docs/developer.html#how-we-are-developing
    https://mroonga.org/ja/docs/developer.html#roadmap

    @komainu8 I have open a pull request: #350

    Thank you for your PR! I added a comment.

    I will make the changes.

    I will make the changes.

    Thank you.

    Kartik Soneji
    @KartikSoneji
    @komainu8 I have made the changes, can you please check again: mroonga/mroonga#350
    Alex Vandiver
    @alexmv
    Heya! Would it be possible to add an IPv6 address, and AAAA record, for packages.groonga.org?
    Sutou Kouhei
    @kou
    Will do.
    Sutou Kouhei
    @kou
    Done.
    anthonydafc
    @anthonydafc

    hello can you explain why i get errors when doing un update of pgroonga when I type "ALTER EXTENSION pgroonga UPDATE;" error is : ERREUR: n'a pas pu charger la bibliothèque « C:/Program Files/PostgreSQL/9.6/lib/pgroonga.dll » : unknown error 126
    ** Erreur **

    ERREUR: n'a pas pu charger la bibliothèque « C:/Program Files/PostgreSQL/9.6/lib/pgroonga.dll » : unknown error 126
    État SQL :XX000

    Horimoto Yasuhiro
    @komainu8

    The cause of the error is that PostgreSQL doesn't find the library of PGroonga in a prescribed path (e.g.C:/Program Files/PostgreSQL/9.6/lib/pgroonga.dll).

    Could you show us the log of when PGroonga package updated?
    Then, could you teach us your PGroonga version before and after the upgrade?

    anthonydafc
    @anthonydafc
    Hello, i'm using postgres 9.6, i actually had pgroonga 2.0.1 and wanted to put new version 2.3.0, put had message after update. I've managed to update to 2.1.0 without error.
    Horimoto Yasuhiro
    @komainu8

    Ah... I'm sorry. I was mistaken about that your environment was Linux.

    Thanks.
    Please allow me to check that my understanding is correct or not about the following:

    • If you upgraded PGroonga to 2.1.0 from 2.0.1, you succeeded upgrade.
    • If you upgraded PGroonga to 2.3.0 from 2.0.1, you failed upgrade.

    I tried upggrade PGroonga to 2.3.0 from 2.0.1 on Windows10 Pro 20H2.
    This is successful.

    Could you confirm exist C:/Program Files/PostgreSQL/9.6/lib/pgroonga.dll?
    If this file whether it exists or not, could you install again with the following steps?

    1. Download PGroonga 2.3.0 from the following URL.

      (If your environment is 64bit.)
      https://github.com/pgroonga/pgroonga/releases/download/2.3.0/pgroonga-2.3.0-postgresql-9.6-x64.zip

      (If your environment is 32bit.)
      https://github.com/pgroonga/pgroonga/releases/download/2.3.0/pgroonga-2.3.0-postgresql-9.6-x86.zip

    2. Disconnect from all databases that use PGroonga.

    3. Expand the above zip file into the install folder of PostgreSQL 9.6(C:/Program Files/PostgreSQL/9.6/).
    4. Connect to a database that uses PGroonga.
    5. Upgrade PGroonga extension with the following SQL.

      ALTER EXTENSION pgroonga UPDATE;